<!DOCTYPE html>
<html lang="pt-br">
<head> 
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE-edge" />
    <meta name="viewport" content="width-device-width, initial-scala=1.0" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <link rel="stylesheet" href="style.css" />
    <title>Calculadora</title>
</head>
<body>
    <div id="app">
    <div class="calculadora">
        <div class="tela">{{display}}</div>
        <div class="botao">
            <div class="linha02">
                <button class="limpar" @click="handleClear('c')">c</button>
            </div>
        <div class="linha">
            <button @click="handleButtonClick('7')">7</button>
            <button @click="handleButtonClick('8')">8</button>
            <button @click="handleButtonClick('9')">9</button>
            <button class="operadores" @click="handleButtonClick('/')">÷</button>
        </div>
        <div class="linha">
            <button @click="handleButtonClick('4')">4</button>
            <button @click="handleButtonClick('5')">5</button>
            <button @click="handleButtonClick('6')">6</button>
            <button class="operadores" @click="handleButtonClick('*')">x</button>
        </div>
        <div class="linha">
            <button @click="handleButtonClick('1')">1</button>
            <button @click="handleButtonClick('2')">2</button>
            <button @click="handleButtonClick('3')">3</button>
            <button class="operadores" @click="handleButtonClick('-')">-</button>
        </div>
        <div class="linha">
            <button class="outros" @click="handleDecimal('.')">.</button>
            <button @click="handleButtonClick('0')">0</button>
            <button class="outros" @click="handleButtonClick('=')">=</button>
            <button class="operadores" @click="handleButtonClick('+')">+</button>
        </div>
        
    </div>
    <!--Fechamento da div "calculadora"-->
    </div>
    <!--Fechamento div id="app"-->
    <script src="process.js"></script>
</body>
</html>
